Cyberduck Mountain Duck CLI

#1567 closed enhancement (worksforme)

Copy HTTP URL

Reported by: simon@… Owned by: dkocher
Priority: low Milestone:
Component: interface Version: 2.8.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi,

Excellent piece of software, well done.

The annoying thing i find is that my clients all download using http://www... as many corporate servers block ftp connections on their employee computers.

So when I right click and copy url it copies a link with ftp in it. Also, the link does not work because any spaces in the filename are replaced with + rather than &20.

It would be very good if you could implement a feature where we could click on a file and right click 'email link' and let us choose if we want to use ftp links or http links.

Many Thanks!

Simon

Change History (7)

comment:1 Changed on Jan 10, 2008 at 3:47:16 PM by dkocher

  • Component changed from ftp to interface
  • Priority changed from highest to low
  • Status changed from new to assigned
  • Summary changed from annoying bug to Copy HTTP URL
  • Type changed from defect to enhancement

This was reported before in #1301. This would only work if the user can specify the base HTTP URL in the bookmark setting.

comment:2 Changed on May 10, 2008 at 8:38:25 PM by dkocher

  • Milestone set to 3.0
  • Resolution set to fixed
  • Status changed from assigned to closed

comment:3 Changed on Nov 13, 2008 at 7:37:19 PM by drew.covi@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

How has this been set to fixed? I see no option to copy the http-url, although I can set the web Url in the bookmark. "Copy URL" only copys the ftp URL despite changes to the bookmark.

Would be great to see this implemented in the future.

comment:4 Changed on Nov 13, 2008 at 7:53:19 PM by dkocher

  • Milestone changed from 3.0 to 3.1

comment:5 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:6 Changed on Dec 19, 2009 at 11:27:44 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Use File → Open Web URL.

comment:7 Changed on Jan 17, 2010 at 2:44:36 PM by dkocher

  • Milestone 3.4.1 deleted
Note: See TracTickets for help on using tickets.
swiss made software